/********************************************************************
    file:       registry.h
	
    purpose:    exports
*********************************************************************/

#ifndef _REGISTRY_H
#define _REGISTRY_H

// if compiling with MSVC++ use its protection against multiple inclusion
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER

#ifdef REGISTRY_EXPORTS
#define REGISTRY_API __declspec(dllexport)
#else
#define REGISTRY_API __declspec(dllimport)
#endif

#define UNICODE
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// includes
//
#include <windows.h>
#include <string>
#include <sstream>

using std::string;
using std::ostringstream;
using std::istringstream;

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// exports
//
#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

//
// from registry.cpp
//
	// Module Initialization
	REGISTRY_API int initModuleEx(IN HWND hLiteStep, IN HINSTANCE hInstance,
                                 IN LPCSTR szLSpath);

	// Module Cleanup
	REGISTRY_API void quitModule(IN HINSTANCE hInstance);
	long lRetVal;
	bool keyExist(HKEY hRootKey, const string &sRegKeyPath);
	string* queryAKey(HKEY hRootKey, const string &sRegKeyPath, const string &sRegSubKey);

#ifdef __cplusplus
}
#endif // __cplusplus


#endif // _REGISTRY_H